<?php

namespace App\Filament\Resources\Master\Classifications\Schemas;

use Filament\Forms\Components\TextInput;
use Filament\Schemas\Schema;

class ClassificationForm
{
    public static function configure(Schema $schema): Schema
    {
        return $schema
            ->components([
                TextInput::make('name')
                    ->label('Nama Klasifikasi')
                    ->placeholder('Pelaporan')
                    ->autocomplete(false)
                    ->autofocus()
                    ->required()
                    ->maxLength(50),
            ])
            ->columns(1);
    }
}
